Attribute VB_Name = "modFuncs"
Global SettingIni As String
Global FSO As New FileSystemObject
Global DBPath As String

Public Declare Function SetCursorPos Lib "user32" (ByVal X As Long, ByVal Y As Long) As Long
Public Declare Function GetCursorPos Lib "user32" (lpPoint As POINTAPI) As Long
Public Declare Function GetAsyncKeyState Lib "user32" (ByVal vKey As Long) As Integer
Public Declare Sub mouse_event Lib "user32" (ByVal dwFlags As Long, ByVal dx As Long, ByVal dy As Long, ByVal cButtons As Long, ByVal dwExtraInfo As Long)

Public Const MOUSEEVENTF_LEFTDOWN = &H2
Public Const MOUSEEVENTF_LEFTUP = &H4
Public Const MOUSEEVENTF_RIGHTDOWN = &H8
Public Const MOUSEEVENTF_RIGHTUP = &H10
Public Const MOUSEEVENTF_MIDDLEDOWN = &H20
Public Const MOUSEEVENTF_MIDDLEUP = &H40
Public Const MOUSEEVENTF_MOVE = &H1

Public Type POINTAPI
X As Long
Y As Long
End Type

Public Function FileExists(ByVal sFileName As String) As Boolean
    Dim sFile As String
    On Error Resume Next
    FileExists = False
    sFile = Dir$(sFileName)
    If (Len(sFile) > 0) And (Err = 0) Then
        FileExists = True
    End If
End Function

Public Function DirExists(ByVal sDirName As String) As Boolean
     Dim sDir As String
    On Error Resume Next
    DirExists = False
    sDir = Dir$(sDirName, vbDirectory)
    If (Len(sDir) > 0) And (Err = 0) Then
        DirExists = True
    End If
End Function

Public Function CountStr(ByVal sIn As String, ByVal sFind As String)
    Dim nIn As String, nFind As String, nCount As Long, _
    nPart As String
    
    nIn = sIn
    nFind = sFind
    Dim a As Long
    For a = 1 To Len(nIn)
    nPart = Mid(nIn, a, Len(nFind))
    If nPart = nFind Then
    nCount = nCount + 1
    End If
    Next a


    CountStr = nCount
End Function

Public Function StripSlash(what As String) As String
StripSlash = Replace(what, "\", Chr(1))
StripSlash = Replace(what, "'", "\'")
StripSlash = Replace(what, Chr(1), "\\")
End Function

Public Function Decode(ToDecode As String)
Dim F As String
Dim l As Integer
Dim Chrs As Integer
Dim Chh As String
Dim Resu As Integer
F = ToDecode
If ToDecode = "" Then
Exit Function
End If
For l = 1 To Len(F)
    For Chrs = 1 To 255
        If Chr(Chrs) = Mid(F, l, 1) Then
            If l = Len(F) Then
                Chh = Chrs - 64
                Resu = Resu + Chh
            ElseIf l = Len(F) - 1 Then
                trmp = Chrs - 64
                Chh = trmp * 64
                Resu = Resu + Chh
            End If
        End If
    Next
Next
Decode = Resu
End Function
Public Function Encode(Numb As Integer)
Dim Neb As Integer
Dim Fir As Integer
Dim Lst As Integer
If Numb < 4 Then
    If Numb = 0 Then
        Encode = "H"
        Exit Function
    End If
    If Numb = 1 Then
        Encode = "I"
        Exit Function
    End If
    If Numb = 2 Then
        Encode = "J"
        Exit Function
    End If
    If Numb = 3 Then
        Encode = "K"
        Exit Function
    End If
Else
    Neb = Numb - 3
    Lst = 65
    Fir = 80
redo:
    DoEvents
    If Neb = 1 Then
        Encode = Chr(Fir) & Chr(Lst)
        Exit Function
    End If
    Neb = Neb - 1
    Fir = Fir + 1
    If Fir = 84 Then
        Fir = 80
        Lst = Lst + 1
    End If
    GoTo redo
End If
End Function

Public Function sendAll(tosend As String, Room As Long)
For b = 1 To frmMain.SockI
If Client(b).InRoom = Room Then
If frmMain.socket(b).State = sckConnected Then frmMain.socket(b).SendData tosend
End If
Next b
End Function

Public Function ReverseString(ByVal InputString As String) _
  As String

Dim lLen As Long, lCtr As Long
Dim sChar As String
Dim sAns As String

lLen = Len(InputString)
For lCtr = lLen To 1 Step -1
    sChar = Mid(InputString, lCtr, 1)
    sAns = sAns & sChar
Next

ReverseString = sAns

End Function



